Method: getUserQuota

Retrieves the review quota limits and sliding-window usage for the authenticated caller.

HTTP request

GET https://deepreview.googleapis.com/v1/{name=userQuota}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the singleton user quota to retrieve. It takes the form userQuota.

Request body

The request body must be empty.

Response body

Singleton resource representing the authenticated caller's review quota limits and sliding-window usage.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "maxReviewCountPerWeek": integer,
  "usedReviewCount": integer,
  "remainingReviewCount": integer,
  "customLimitEnabled": boolean,
  "nextAvailableTime": string
}
Fields
name

string

Identifier. Resource name of the singleton user quota (userQuota).

maxReviewCountPerWeek

integer

Output only. Maximum free-tier reviews allowed per rolling 7-day window.

usedReviewCount

integer

Output only. Number of free-tier reviews used in the past 7 days.

remainingReviewCount

integer

Output only. Remaining free-tier reviews available in the current rolling 7-day window (max(0, maxReviewCountPerWeek - usedReviewCount)).

customLimitEnabled

boolean

Output only. Whether a custom per-user quota override is active for this user.

nextAvailableTime

string (Timestamp format)

Output only. Timestamp when the next review quota slot becomes available if remainingReviewCount is 0; unset when quota is currently available.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.